# $Id: version.c.SH,v 1.1.1.1.6.32 2003/11/24 19:42:30 syzop Exp $

echo "Extracting src/version.c..."

id=`grep '$Id: Changes,v' ../Changes`
id=`echo $id |sed 's/.* Changes\,v \(.*\) .* Exp .*/\1/'`
echo "$id"

if test -r version.c
then
   generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`
creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

cat >version.c <<!SUB!THIS!
/*
 *   IRC - Internet Relay Chat, ircd/version.c
 *   Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *   $Id: version.c.SH,v 1.1.1.1.6.32 2003/11/24 19:42:30 syzop Exp $
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "version.h"
#include "license.h"

char *generation = "$generation";
char *creation = "$creation";
#define IRCDTOTALVERSION BASE_VERSION PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9
char *version = IRCDTOTALVERSION;
char *buildid = "$id";
/* moved to s_serv.c */
char *infotext[] = 
{ 0 };

char *unrealcredits[] =
{
	"-=-=-=-=-=-=-=-=-=-= [ " IRCDTOTALVERSION " Credits ] -=-=-=-=-",
	"The people on this list are people who have helped us with the development",
	"of UnrealIRCd and who have made remarkable contributions to the project.",
	"People who have helped in previous versions are listed on",
	"http://unrealircd.com/credits.html - and not forgotten",
	"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=",
"	The UnrealIRCd Team would like to thank:",
""
"Nutcais - Phil Hawkins",
"- the original shell for Unreal development, useful comments,",
"  and supporting the project all through its life. Thanks for",
"  helping to get this project to take off.",
"",
"Thanks for donations to:",
"",
"BlueFlame^ ",
"- The first donation",
"",
"[Real] from ChatFIRST.com",
"Jameno123 & ByteHosting Internet Services",
"Interlink Access Corp, Jan Knutar, ThePlayer, Headbang",
"noriko, powerstorm.net",
"- Hardware, software, or financial donations - Thank you",
"  for the support. ",
"",
"Phil Veale - email@phillipveale.com - http://www.flame.tiefighter.org",
"- Donating webhosting for the project amongst other things",
"",
"cknight^",
"- Donating a FreeBSD box to the Unreal project to host some stuff",
"",
"KIREnet.com - http://www.kirenet.com",
"- Donating hosting for the above box on their line :)",
"",
"Thanks to the supporter staff:",
"apt, TheEggMan, nemesis, Ron885, iDw-badSol, SciFi",
"They can be reached at nickname@unrealircd.info",
"",
"Thanks to former supporters and anyone who has helped",
"without officially joining the staff.",
"",
"Thanks go to all current mirror & DNS hosters. We really",
"value your donations. ",
"",
"Stskeeps would primarily like to thank Julie for her",
"support through the years.  See the page for a more extensive",
"list of all the coders' credits. ",
"",
"This IRCd is dedicated to those who have kept us rocking and", 
"in good mood all through the years we've struggled with this"
"project. Unreal3.0 and up is dedicated to Morrigan.",
	0
};
char unreallogo[] = 
{
32,95,32,32,32,95,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,95,32,95,95,95,
95,95,95,95,95,95,95,95,32,32,95,
95,95,95,95,32,32,32,32,32,95,32,
10,124,32,124,32,124,32,124,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,124,32,124,95,32,
32,32,95,124,32,95,95,95,32,92,47,
32,32,95,95,32,92,32,32,32,124,32,
124,10,124,32,124,32,124,32,124,95,32,
95,95,32,32,95,32,95,95,32,95,95,
95,32,32,95,95,32,95,124,32,124,32,
124,32,124,32,124,32,124,95,47,32,47,
124,32,47,32,32,92,47,32,95,95,124,
32,124,10,124,32,124,32,124,32,124,32,
39,95,32,92,124,32,39,95,95,47,32,
95,32,92,47,32,95,96,32,124,32,124,
32,124,32,124,32,124,32,32,32,32,47,
32,124,32,124,32,32,32,32,47,32,95,
96,32,124,10,124,32,124,95,124,32,124,
32,124,32,124,32,124,32,124,32,124,32,
32,95,95,47,32,40,95,124,32,124,32,
124,95,124,32,124,95,124,32,124,92,32,
92,32,124,32,92,95,95,47,92,32,40,
95,124,32,124,10,32,92,95,95,95,47,
124,95,124,32,124,95,124,95,124,32,32,
92,95,95,95,124,92,95,95,44,95,124,
95,124,92,95,95,95,47,92,95,124,32,
92,95,124,32,92,95,95,95,95,47,92,
95,95,44,95,124,10,0,85,110,114,
101,97,108,0};

char *dalinfotext[] =
    {
        "$package --",
        "Based on the original code written by Jarkko Oikarinen",
        "Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
        "",
        "This program is free software; you can redistribute it and/or",
        "modify it under the terms of the GNU General Public License as",
        "published by the Free Software Foundation; either version 1, or",
        "(at your option) any later version.",
	"- Any name/comment should never be changed except by the one who made it -",
	"",
	"UnrealIRCd contains code developed by:",
	"Potvin       Chris Wolkowski          potvin@acestar.org",
	"RogerY       Roger Y.                 rogery@austnet.org",
	"GZ                                    gz@starchat.net",
	"binary                                ",
	"Dianora      Diane Bruce",
	"lucas", 
	"Roar Thronaas <roart@nvg.ntnu.no> added IPv6 support.",
	"",
	"",
	"The following people have helped in making the DALnet ircd",
        "that is based on irc2.8.21.mu3.2 :",
        "",
        "Russell      Russell Miller           russell@dal.net",
        "Donwulff     Jukka Santala            donwulff@dal.net",
        "Aetobatus    Michael Sawyer           aetobatus@dal.net",
        "Dalvenjah    Sven Nielsen             dalvenjah@dal.net",
        "Skandranon   Michael Graff            explorer@flame.org",
        "Barubary     -                        barubary@dal.net",
        "white_dragon Chip Norkus              wd@dal.net",
        "DuffJ        Dafydd James             duffj@dal.net",
        "taz          David Kopstain           taz@dal.net",
        "NikB         Nik Bougalis             nikb@dal.net",
        "Rakarra      -                        rakarra@dal.net",
        "DarkRot      Lucas Madar              darkrot@dal.net",
        "Studded      -                        studded@dal.net",
        "JoelKatz     David Schwartz           joelkatz@dal.net",
        "",
        "This product includes software developed by Colin Plumb.",
        "",
        "The following persons have made many changes and enhancements to the",
        "code and still know how IRC really works if you have questions about it:",
        "",
        "Run          Carlo Kid                carlo@runaway.xs4all.nl",
        "Avalon       Darren Reed              avalon@coombs.anu.edu.au",
        "msa          Markku Savela            Markku.Savela@vtt.fi",
        "Wumpus       Greg Lindahl             gl8f@virginia.edu",
        "WiZ          Jarkko Oikarinen         jto@tolsun.oulu.fi",
        "Argv         Armin Gruner Armin.Gruner@Informatik.TU-Muenchen.de",
        "",
        "Thanks to the following people for help with preparing 2.8",
        "",
        "phone        Matthew Green            phone@coombs.anu.edu.au",
        "Sodapop      Chuck Kane               ckane@ece.uiuc.edu",
        "Skygod       Matt Lyle                matt@oc.com",
        "Vesa         Vesa Ruokonen            ruokonen@lut.fi",
        "Nap          Nicolas PIOCH pioch@poly.polytechnique.fr",
        "",
        "Those who helped in prior versions and continue to be helpful:",
        "",
        "Stellan Klebom      Dan Goodwin         Mike Bolotski",
        "Ian Frechette       Markku Jarvinen     Kimmo Suominen",
        "Jeff Trim           Vijay Subramaniam   Karl Kleinpaste",
        "Bill Wisner         Tom Davis           Hugo Calendar",
        "Tom Hopkins         Stephen van den Berg",
        "Bo Adler            Michael Sandrof     Jon Solomon",
        "Jan Peterson        Helen Rose          Paul Graham",
        "",
        "Thanks also goes to those persons not mentioned here who have added",
        "their advice, opinions, and code to IRC.",
        "Thanks also to those who provide the kind sys admins who let me and",
        "others continue to develop IRC.",
        "",

        0
    };
!SUB!THIS!
